Delete Asset
curl --request DELETE \
--url https://api.supapo.st/assets/{id} \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>"
}
'import requests
url = "https://api.supapo.st/assets/{id}"
payload = { "url": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>'})
};
fetch('https://api.supapo.st/assets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Assets
Delete Asset
Delete an asset by ID
DELETE
/
assets
/
{id}
Delete Asset
Permanently deletes an asset from both R2 storage and the database. This action cannot be undone.
Delete an asset from R2 storage by its public URL. Useful for cleaning up images that aren’t tracked in the assets table (e.g. influencer images, product images).
Path Parameters
string
required
The asset ID (UUID).
Response
200
{
"success": true
}
404
{
"success": false,
"message": "Asset not found"
}
Delete Asset by URL
POST /assets/delete
Body Parameters
string
required
The public R2 URL of the file to delete.
Response
200
{
"success": true
}
⌘I